function results = ColourQuantAnalysis(im, mask)
mask = logical(mask);
r = im(:,:,1); g = im(:,:,2); b = im(:,:,3);
comb = cat(3,r(mask == 1),g(mask==1), b(mask==1));


[x,map] = rgb2ind(comb,255,'nodither');
hsv2 = rgb2hsv(ind2rgb(x,map));

huevals2 = hsv2(:,:,1);
hues = size(unique(huevals2),1);

[x,map] = rgb2ind(comb,15,'nodither');
hsv = rgb2hsv(ind2rgb(x,map));

huevals = hsv(:,:,1);
hueavg = mean(huevals);
huevar = var(huevals);
huemax = max(huevals);
huemin = min(huevals);


intensityvals = hsv(:,:,3);
intensityavg = mean(intensityvals);
intensityvar = var(intensityvals);
intensitymax = max(intensityvals);
intensitymin = min(intensityvals);


stats = [hueavg, huevar, huemax, huemin, intensityavg, intensityvar, intensitymax, intensitymin];
results = {hues, stats};