function results = RGBColourAnalysis(im, mask)
mask = logical(mask);
if(Area(mask~= 0))
hsvim = rgb2hsv(im);
R = im(:,:,1);
G = im(:,:,2);
B = im(:,:,3);

Rvals = double(R(mask == 1));
Ravg = mean(Rvals);
Rvar = var(Rvals);
Rmax = max(Rvals);
Rmin = min(Rvals);

Gvals = double(G(mask == 1));
Gavg = mean(Gvals);
Gvar = var(Gvals);
Gmax = max(Gvals);
Gmin = min(Gvals);

Bvals = double(B(mask == 1));
Bavg = mean(Bvals);
Bvar = var(Bvals);
Bmax = max(Bvals);
Bmin = min(Bvals);

results = [Ravg, Rvar, Rmax, Rmin,Gavg, Gvar, Gmax, Gmin,Bavg, Bvar, Bmax, Bmin];
else
results = [0,0,0,0,0,0,0,0,0,0,0,0];
end