function answer = Otsu(im)
%calculate probability distribution of each intensity
hist = imhist(im)/sum(imhist(im));

ur = hist.*(1:256)';
maxval = 0;
thresh = 0;

for(k = 1:256)
    w0 = sum(hist(1:k));
    w1 = sum(hist(k+1:256));
    u0 = sum(ur(1:k))/w0;
    u1 = (sum(ur)-sum(ur(1:k)))/(1-w0);
    ob = (w0*((u0- sum(ur))^2))+ (w1 * ((u1 - sum(ur))^2));
    if (maxval < ob)
        maxval = ob;
        thresh = k;
    end

end

a= im>thresh;
answer = not(a);