function ans = BatchFindBisector(A)

midpoint = [sum(A(:,1,:))./2,sum(A(:,2,:))./2];
gradients = (A(2,2,:) - A(1,2,:))./(A(2,1,:) - A(1,1,:));
clearvars A;
perpgrad = -1.*(1./gradients);
yintersect = midpoint(1,2,:) - (perpgrad.*midpoint(1,1,:));
x = -yintersect./(perpgrad-gradients);
y = gradients.*x;
rho = sqrt(x.^2 + y.^2);
theta = asind(y./rho);

theta(perpgrad == 0) = 90;
rho(perpgrad == 0) = yintersect(perpgrad == 0);

theta(y<0) = theta(y<0) + 360;

theta(x < 0) = theta(x<0) + 180;

rho(yintersect == inf) = midpoint(:, 1, (yintersect == inf));
theta(yintersect == inf) = 90;

theta(rho == 0) = 0;
matsize = size(rho, 3);
ans = cat(2,reshape(floor(rho)+1, matsize, 1), reshape(floor(theta)+1, matsize,1), reshape(perpgrad, matsize,1), reshape(yintersect, matsize,1));
end